// -*- C++ -*-
#ifndef RIVET_SubtractedJewelFinalState_HH
#define RIVET_SubtractedJewelFinalState_HH

#include "Rivet/Projections/FinalState.hh"
#include "Rivet/Projections/SubtractedJewelEvent.hh"

namespace Rivet {


  /// @brief Project only charged final state particles.
  class SubtractedJewelFinalState : public FinalState {
  public:

    /// @name Constructors
    //@{

    /// Construction from SubtractedJewelEvent and optionally cuts
    SubtractedJewelFinalState(const SubtractedJewelEvent& sev, const Cut& c=Cuts::open());

    /// Clone on the heap.
    DEFAULT_RIVET_PROJ_CLONE(SubtractedJewelFinalState);

    //@}


    /// Apply the projection on the supplied event.
    void project(const Event& e);

    /// Compare projections.
    CmpState compare(const Projection& p) const;

    /// Decide if a particle is to be accepted or not.
    virtual bool accept(const Particle& p) const;
  };


}


#endif
